package com.frikinjay.letmedespawn.config;

import com.frikinjay.almanac.Almanac;
import com.frikinjay.letmedespawn.LetMeDespawn;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

public class LetMeDespawnConfig {
   private Set<String> mobNames = new HashSet(List.of("corpse:corpse"));
   private Set<String> persistenceEnablers = new HashSet(List.of());

   public Set<String> getMobNames() {
      return this.mobNames;
   }

   public void addMobName(String mobName) {
      this.mobNames.add(mobName);
      this.save();
   }

   public void removeMobName(String mobName) {
      this.mobNames.remove(mobName);
      this.save();
   }

   public Set<String> getPersistenceEnablers() {
      return this.persistenceEnablers;
   }

   public void addPersistenceEnabler(String persistenceEnabler) {
      this.persistenceEnablers.add(persistenceEnabler);
      this.save();
   }

   public void removePersistenceEnabler(String persistenceEnabler) {
      this.persistenceEnablers.remove(persistenceEnabler);
      this.save();
   }

   public static LetMeDespawnConfig load() {
      return (LetMeDespawnConfig)Almanac.loadConfig(LetMeDespawn.CONFIG_FILE, LetMeDespawnConfig.class);
   }

   public void save() {
      Almanac.saveConfig(LetMeDespawn.CONFIG_FILE, this);
   }
}
